fop 2.3

## org.apache.fop.render.pdf.extensions
Class PDFReferenceElement

    java.lang.Object
      org.apache.fop.fo.FONode
          org.apache.fop.render.pdf.extensions.AbstractPDFExtensionElement
              org.apache.fop.render.pdf.extensions.PDFCollectionEntryElement
                  org.apache.fop.render.pdf.extensions.PDFReferenceElement

All Implemented Interfaces:
  java.lang.Cloneable

    public class PDFReferenceElement

extends PDFCollectionEntryElement

Extension element for pdf:reference.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.fop.fo.FONode
`FONode.FONodeIterator, FONode.GatherContextInfoFunction`

Field Summary
`static java.lang.String` `ATT_REFID`

Fields inherited from class org.apache.fop.render.pdf.extensions.PDFCollectionEntryElement
`ATT_KEY`

Fields inherited from class org.apache.fop.render.pdf.extensions.AbstractPDFExtensionElement
`attachment`

Fields inherited from class org.apache.fop.fo.FONode
`FO_URI, FOX_URI, locator, log, parent, siblings`

Method Summary
`void` `processNode(java.lang.String elementName, org.xml.sax.Locator locator, org.xml.sax.Attributes attlist, PropertyList propertyList)` Initialize the node with its name, location information, and attributes The attributes must be used immediately as the sax attributes will be altered for the next element.

Methods inherited from class org.apache.fop.render.pdf.extensions.PDFCollectionEntryElement
`characters, endOfNode, getExtension, getLocalName, startOfNode`

Methods inherited from class org.apache.fop.render.pdf.extensions.AbstractPDFExtensionElement
`getExtensionAttachment, getNamespaceURI, getNormalNamespacePrefix, instantiateExtensionAttachment`

Methods inherited from class org.apache.fop.fo.FONode

`addCharacters, addChildNode, attachSiblings, bind, canHaveMarkers, charIterator, clone, clone, collectDelimitedTextRanges, collectDelimitedTextRanges, createPropertyList, decorateWithContextInfo, errorText, finalizeNode, gatherContextInfo, getBuilderContext, getChildNodes, getChildNodes, getContentHandlerFactory, getContextInfo, getContextInfoAlt, getFOEventHandler, getFOValidationEventProducer, getLocator, getLocatorString, getLogger, getName, getName, getNameId, getNodePrefix, getNodeString, getParent, getRoot, getStructureTreeElement, getUserAgent, inMarker, invalidChildError, invalidChildError, invalidPropertyValueError, isBidiRangeBlockItem, isDelimitedTextRangeBoundary, missingChildElementError, missingChildElementError, missingPropertyError, nodesOutOfOrderError, nodesOutOfOrderError, notSupportedChildError, removeChild, setLocator, setStructureTreeElement, tooManyNodesError, tooManyNodesError, tooManyNodesError, validateChildNode, validateChildNode, warningText`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ATT_REFID

    public static final java.lang.String ATT_REFID

See Also:
  Constant Field Values

Method Detail

### processNode

    public void processNode(java.lang.String elementName,
                            org.xml.sax.Locator locator,
                            org.xml.sax.Attributes attlist,
                            PropertyList propertyList)
                     throws FOPException

  Description copied from class: `FONode`
  Initialize the node with its name, location information, and attributes The attributes must be used immediately as the sax attributes will be altered for the next element.

  Overrides:
    `processNode` in class `PDFCollectionEntryElement`
  Parameters:
    `elementName` - element name (e.g., "fo:block")
    `locator` - Locator object (ignored by default)
    `attlist` - Collection of attributes passed to us from the parser.
    `propertyList` - the property list of the parent node
  Throws:
    `FOPException` - for errors or inconsistencies in the attributes

fop 2.3

Copyright 1999-2018 The Apache Software Foundation. All Rights Reserved.